Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class PdfNumber<TValue extends Number>

    java.lang.Object
      org.pdfclown.objects.PdfObject
          org.pdfclown.objects.PdfDataObject
              org.pdfclown.objects.PdfDirectObject
                  org.pdfclown.objects.PdfSimpleObject<TValue>
                      org.pdfclown.objects.PdfNumber<TValue>

All Implemented Interfaces:
  Cloneable, Comparable<PdfDirectObject>, IVisitable

Direct Known Subclasses:
  PdfInteger, PdfReal

    public abstract class PdfNumber<TValue extends Number>

extends PdfSimpleObject<TValue>

PDF number object [PDF:1.6:3.2.2].

Version:
  0.1.1, 11/14/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`PdfNumber()`

Method Summary
`int` | `compareTo(PdfDirectObject obj)`
`boolean` | `equals(Object object)`
`abstract double` | `getDoubleValue()` Gets the double-precision floating-point representation of the value.
`abstract float` | `getFloatValue()` Gets the floating-point representation of the value.
`abstract int` | `getIntValue()` Gets the integer representation of the value.
`Number` | `getValue()` Gets the high-level representation of the value.
`int` | `hashCode()`

Methods inherited from class org.pdfclown.objects.PdfSimpleObject
`clone, get, getParent, getRawValue, getValue, getValue, isUpdateable, isUpdated, isVirtual, setRawValue, setUpdateable, setUpdated, setValue, setVirtual, swap, toString`

Methods inherited from class org.pdfclown.objects.PdfObject
`clone, clone, getContainer, getDataContainer, getFile, getIndirectObject, getReference, resolve, resolve, unresolve, unresolve, update, writeTo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IVisitable
`accept`

Constructor Detail

### PdfNumber

    public PdfNumber()

Method Detail

### compareTo

    public final int compareTo(PdfDirectObject obj)

  Specified by:
    `compareTo` in interface `Comparable<PdfDirectObject>`
  Specified by:
    `compareTo` in class `PdfDirectObject`

### equals

    public final boolean equals(Object object)

  Overrides:
    `equals` in class `PdfSimpleObject<TValue extends Number>`

### getDoubleValue

    public abstract double getDoubleValue()

  Gets the double-precision floating-point representation of the value.

### getFloatValue

    public abstract float getFloatValue()

  Gets the floating-point representation of the value.

### getIntValue

    public abstract int getIntValue()

  Gets the integer representation of the value.

### getValue

    public Number getValue()

  Description copied from class: `PdfSimpleObject`
  Gets the high-level representation of the value.

  Overrides:
    `getValue` in class `PdfSimpleObject<TValue extends Number>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PdfSimpleObject<TValue extends Number>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.